Tips for finding Knowledge Articles

  • - Enter just a few key words related to your question or problem
  • - Add Key words to refine your search as necessary
  • - Do not use punctuation
  • - Search is not case sensitive
  • - Avoid non-descriptive filler words like "how", "the", "what", etc.
  • - If you do not find what you are looking for the first time,reduce the number of key words you enter and try searching again.
  • - Minimum supported Internet Explorer version is IE9
Home  >
article

KB-16338: The DirectAudit collector is not able to connect to the Auditstore database after an upgrade

Auditing and Monitoring Service ,  

27 June,19 at 09:50 PM

Problem:
After upgrading the DirectAudit collector,  the collector is no longer able to connect to the AuditStore database. The error is seen: 

 
"The Collector is not able to use the database Data 
Source=cnt-audit-stor.xxx-dom.com;Initial 
Catalog=auditstore-2016-12-08:NonBreakingAndOlder"
 
Cause:
The error is realized when the collector version is not compatible with the AuditStore version. The AuditStore needs to be at the same or a newer version than the collector. 
 
Solution:
The AuditStore database needs to be upgraded before upgrading the collector.

The AuditStore databases and the management database and be upgraded interactively using the Database Maintenance Wizard or by running the following command after open a DOS command line, go to the DirectAudit directory, and run command below: 

setup.exe /database 
 

Still have questions? Click here to log a technical support case, or collaborate with your peers in Centrify's Online Community.